Bug 1244766 - Storage Manager vs Storage Pool Manager
Summary: Storage Manager vs Storage Pool Manager
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: m1
: 3.6.0
Assignee: Allon Mureinik
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-20 12:56 UTC by Yuko Katabami
Modified: 2016-03-10 06:14 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-3.6.0_beta1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:17:52 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 43919 None None None Never

Description Yuko Katabami 2015-07-20 12:56:14 UTC
Description of problem:

While translating, we found the following strings that contain the word "Storage Manager" but it might be referring to "Storage Pool Manager".

File: AppErrors (for both Admin and User Portals)
Resource IDs:
IRS_NETWORK_ERROR
IRS_PROTOCOL_ERROR
IRS_RESPONSE_ERROR
Strings:
Storage Manager Service not responding.
Storage Manager protocol error.
Storage Manager response error.


Version-Release number of selected component (if applicable): 3.6 and earlier


How reproducible: 100%

Actual results:
Storage Manager Service not responding.
Storage Manager protocol error.
Storage Manager response error.


Expected results:

(possibly)
Storage Pool Manager Service not responding.
Storage Pool Manager protocol error.
Storage Pool Manager response error.

Additional info:
These are not new strings. They have been in oVirt project for past releases.

Comment 1 Allon Mureinik 2015-07-22 22:40:56 UTC
The correct term is Storage Pool Manager (or SPM for short), you suggested. This keys, however, belong to messages that are no longer in use, and should simply be removed.

The referenced patch removes all the unused keys (~130), including these three, and adds test cases to assure that having such leftovers won't happen again.

Yuko/Einav - given the number of removed keys it may be a good idea to put off the translation efforts until this patch is merged in order to save redundant work translating messages that are never used in the application.

Comment 2 Allon Mureinik 2015-07-29 12:45:24 UTC
The patch referenced in the external tracker does a couple of things relevant to current and future translations:

1. Removes a bunch of unused keys from AppErros.properties (including the three keys mentioned in the original report)
2. Renames keys that aren't legal java identifiers to legal identifiers by replacing "." with "_" (e.g., VALIDATION.TAGS.INVALID_TAG_NAME was renamed to -VALIDATION_TAGS_INVALID_TAG_NAME).
3. Adds unit tests to ensure that no further messages that aren't referenced by AppErrors.java could be added.

Einav/Yuko - as far as I recall the guidance was that developers should only touch the English AppErrors files, so all the aforementioned changes were only performed there. If making the same changes on the translated files will help you, just let me know.

Comment 3 Einav Cohen 2015-07-29 12:48:12 UTC
(In reply to Allon Mureinik from comment #2)
> The patch referenced in the external tracker does a couple of things
> relevant to current and future translations:
> 
> 1. Removes a bunch of unused keys from AppErros.properties (including the
> three keys mentioned in the original report)
> 2. Renames keys that aren't legal java identifiers to legal identifiers by
> replacing "." with "_" (e.g., VALIDATION.TAGS.INVALID_TAG_NAME was renamed
> to -VALIDATION_TAGS_INVALID_TAG_NAME).
> 3. Adds unit tests to ensure that no further messages that aren't referenced
> by AppErrors.java could be added.
> 
> Einav/Yuko - as far as I recall the guidance was that developers should only
> touch the English AppErrors files, so all the aforementioned changes were
> only performed there. If making the same changes on the translated files
> will help you, just let me know.

Many thanks, Allon, no need to change any of the non-English files. 
The relevant keys will be removed from them automatically in my next pull from the translation system.

Comment 4 Yuko Katabami 2015-07-29 13:17:36 UTC
Thank you Allon and Einav

Comment 5 Allon Mureinik 2015-08-05 13:17:52 UTC
This is a code change - these messages aren't exposed to the user in any way, and are removed from the master and 3.6 branches.

QA have no action item here, closing as UPSTREAM.


Note You need to log in before you can comment on or make changes to this bug.